/*
**  ctxact.h
**
**  Confidential property of Sybase, Inc.
**  (c) Copyright Sybase, Inc. 1985 - 2004.
**  All rights reserved
**
**
**  This file contains header files for the two phase commit
**  functions in ctxact.c
**
*/

/*
** Sybase header files required by Open Client
*/

#include	<ctpublic.h>

/*
** Function Prototypes
*/
CS_RETCODE 	open_commit 	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_CHAR		*service,
		CS_INT		service_len
		));
CS_RETCODE 	close_commit	PROTOTYPE((
		CS_CONNECTION	*conn
		));
CS_RETCODE 	build_xact_string PROTOTYPE((
		CS_CHAR		*xact_name,
		CS_INT		xact_len,
		CS_CHAR		*service_name,
		CS_INT		service_len,
		CS_INT		commid,
		CS_CHAR		*result,
		CS_INT		len,
		CS_INT		*outlen
		));
CS_INT 		start_xact 	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_CHAR		*app_name,
		CS_INT		app_len,
		CS_CHAR		*xact_name,
		CS_INT		xact_len,
		CS_INT		count
		));
CS_RETCODE 	commit_xact	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_INT		commid
		));
CS_RETCODE 	abort_xact	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_INT		commid
		));
CS_RETCODE 	remove_xact	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_INT		commid,
		CS_INT		n
		));
CS_RETCODE 	scan_xact	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_INT		commid
		));
CS_INT		stat_xact	PROTOTYPE((
		CS_CONNECTION	*conn,
		CS_INT		commid
		));


CS_RETCODE	pr_head		PROTOTYPE((
		CS_COMMAND	*cmd
		));
CS_RETCODE	pr_line		PROTOTYPE((
		CS_COMMAND	*cmd
		));
CS_RETCODE	pr_row		PROTOTYPE((
		CS_COMMAND	*cmd
		));
