/*
** txtimg.h -- utility routines for handling text/image data
**      with Client-Library.
*/

/*
** Client-Library header file.
*/
#include <ctpublic.h>

/*
** Prototypes
*/
CS_RETCODE GetTextValue PROTOTYPE ((
	CS_CONNECTION	*conn,
	CS_IODESC	*iodesc,
	CS_CHAR		*select_stmt,
	CS_INT		col_num,
        CS_VOID		*value_buf,
        CS_INT		buf_len,
        CS_INT		*out_len
	));

CS_RETCODE UpdateTextCol PROTOTYPE ((
	CS_CONNECTION	*conn,
	CS_IODESC	*iodesc,
	CS_VOID		*new_value_buf,
	CS_INT		new_value_len
	));

CS_RETCODE TextUpdateResults PROTOTYPE ((
	CS_COMMAND	*cmd,
	CS_IODESC	*iodesc
	));
