/*
** example.h
**
** This is the header file that goes with the Sybase 
** Client-Library example programs.  
**
**
*/

/*
** Define symbolic names, constants, and macros
*/
#define	EX_MAXSTRINGLEN		255
#define	EX_BUFSIZE		1024
#define	EX_CTLIB_VERSION	CS_CURRENT_VERSION
#define	EX_BLK_VERSION		BLK_VERSION_155
#define	EX_ERROR_OUT		stderr
#define	EX_BADVAL		(CS_INT)-1
#define	EX_MAX_ARR		64

/*
** exit status values
*/
#define EX_EXIT_SUCCEED		0
#define EX_EXIT_FAIL		1

/*
** Define global variables used in all sample programs
*/
#define EX_SERVER 	NULL		/* use DSQUERY env var */
#define EX_USERNAME	"sa"
#define EX_PASSWORD 	""

/*
** Uncomment the following line to test the HA Failover feature.
*/
/* #define HAFAILOVER 1 */

#define EX_SCREEN_INIT() 

